﻿using System.Windows.Forms;
using DemoPINsafeForm.Properties;
using SwivelSecure.PINsafe;

namespace DemoPINsafeForm
{
	public partial class Form1 : Form
	{
		private readonly PINsafeClient client;

		public Form1()
		{
			PINsafeSettings settings = new PINsafeSettings(false);
			settings.Server = Settings.Default.PINsafeServer;
			settings.Port = Settings.Default.PINsafePort;
			settings.Context = Settings.Default.PINsafeContext;
			settings.Ssl = Settings.Default.PINsafeSecure;
			settings.Secret = Settings.Default.PINsafeSecret;
			settings.AcceptSelfSigned = Settings.Default.PINsafeAcceptSelfSigned;
			client = new PINsafeClient(settings);
			InitializeComponent();
		}

		private void btnTuring_Click(object sender, System.EventArgs e)
		{
			int status;
			imgTuring.Image = client.GetImage(null, txtUsername.Text, out status);
		}

		private void btnLogin_Click(object sender, System.EventArgs e)
		{
			if (client.Login(txtUsername.Text, "", txtOTC.Text))
			{
				MessageBox.Show(this, "Login successful for user " + txtUsername.Text, "PINsafe Login successful",
				                MessageBoxButtons.OK, MessageBoxIcon.Information);
			}
			else
			{
				MessageBox.Show(this, "Login failed for user " + txtUsername.Text, "PINsafe Login failed",
								MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
		}

		private void btnClose_Click(object sender, System.EventArgs e)
		{
			Close();
		}
	}
}
